<?php

namespace HCM\FPA\Services;

use HCM\FPA\Repository\IteCalcFolhaRepository;

class IteCalcFolhaService {

    public function __construct (IteCalcFolhaRepository $iteCalcFolhaRepository){
        $this->iteCalcFolhaRepository = $iteCalcFolhaRepository;
    }
    
    public function getItensCalc($nrcalculobenef, $nrorg, $dtmescompetenc, $nrestrutlegal, $nrestrutgeren, $nrestrutura_beneficio, $lista_nrvinculom){
        return  $this->iteCalcFolhaRepository->getItensCalc($nrcalculobenef, $nrorg, $dtmescompetenc, $nrestrutlegal, $nrestrutgeren, $nrestrutura_beneficio, $lista_nrvinculom);
    }
    
    public function getItensCalcListas($nrcalculobenef, $nrorg, $dtmescompetenc, $lista_nrestrutlegal, $lista_nrestrutgeren, $lista_nrestrutsind, $lista_nrvinculom,
                                       $lista_nrestrutbenef, $lista_nrbeneficiom, $lista_nrtpbeneficio, $lista_nreventom){
        return  $this->iteCalcFolhaRepository->getItensCalcListas($nrcalculobenef, $nrorg, $dtmescompetenc, $lista_nrestrutlegal, $lista_nrestrutgeren, $lista_nrestrutsind, $lista_nrvinculom,
                                                                  $lista_nrestrutbenef, $lista_nrbeneficiom, $lista_nrtpbeneficio, $lista_nreventom);
    }
    
    public function getItensBeneficioDirf($tpmovimento, $nrcalculofolha, $nrvinculom, $nreventom, $vrapurabeneficio, $oldvrapurabeneficio, $dtocorrencia, $nrorg){
        return $this->iteCalcFolhaRepository->getItensBeneficioDirf($tpmovimento, $nrcalculofolha, $nrvinculom, $nreventom, $vrapurabeneficio, $oldvrapurabeneficio, $dtocorrencia, $nrorg);
    }
    
    public function editaItemCalcBeneficio($itemBeneficioModificado, $valorOriginal, $dtocorrencia, $valorModificado = null){
        $this->iteCalcFolhaRepository->editaItemDeCalculoBeneficio($itemBeneficioModificado, $valorOriginal, $dtocorrencia, $valorModificado);
    }
    
    public function deleteItemCalcBeneficio($nrItemCalcFolha, $nrorg){
        $this->iteCalcFolhaRepository->deleteItemCalcBeneficio($nrItemCalcFolha, $nrorg);
    }
    
}